Dataset Labels

GET /api/v1/datasets/{dataset_id}/versions/{version_id}/labels

Get Labels

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue

Response

Type: []Label

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID
colorstring
indexuint
shortcutstring

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/labels

POST /api/v1/datasets/{dataset_id}/versions/{version_id}/labels

Create Label

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue

Request Body

Type: Label

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID
colorstring
indexuint
shortcutstring

Response

Type: Label

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID
colorstring
indexuint
shortcutstring

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/labels

GET /api/v1/datasets/{dataset_id}/versions/{version_id}/labels/{id}

Get Label

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue
idpathstringtrue

Response

Type: Label

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID
colorstring
indexuint
shortcutstring

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/labels/{id}

PUT /api/v1/datasets/{dataset_id}/versions/{version_id}/labels/{id}

Update Label

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue
idpathstringtrue

Request Body

Type: Label

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID
colorstring
indexuint
shortcutstring

Response

Type: Label

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
user_idstring
version_iduuid.UUID
colorstring
indexuint
shortcutstring

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/labels/{id}

DELETE /api/v1/datasets/{dataset_id}/versions/{version_id}/labels/{id}

Delete Label

Parameters

NameInTypeRequired
dataset_idpathstringtrue
version_idpathstringtrue
idpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/labels/{id}